Get Pipeline

Reference for the GET /console/v1/release_pipelines/{id} endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/release_pipelines/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

Response

application/json
200· Get pipeline
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

Pipeline ID

namestringrequired

Pipeline Name

creatorIDstringrequired

Pipeline Creator ID

createdTimenumberrequired

Pipeline Creation Time

Constraints:format: double
lastModifierIDstringrequired

Last Modifier ID

lastModifiedTimenumberrequired

Last Modification Time

Constraints:format: double
phasesobject[]

Phases of the release pipeline that will be executed in order.

idstring

Phase ID

namestringrequired

Phase Name

timeIntervalMsnumberrequired

Time interval in milliseconds for this phase

requiredReviewbooleanrequired

Whether this phase requires review to proceed

rulesobject[]required

Rules to apply in this phase

idstring

The Statsig ID of this rule.

namestringrequired

The name of this rule.

conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
triggerNoticestring

A notice that will be displayed to the user on the config page when the release pipeline is triggered

Was this helpful?